export default class FetchOrg {
    githubToken: string;
    maxQueryIncrement: number;
    log: any;
    cli: object;
    fetchedRepos: Array<object>;
    totalReposCount: number;
    errorRetry: number;
    getReposExternal: string;
    getRepos: string;
    getUserRepos: string;
    rateLimit: {
        limit: number;
        cost: number;
        remaining: number;
        resetAt: string | null;
    };
    client: object;
    constructor(log: object, gh_token: string, gh_increment: number, cli: object);
    load(login: string): Promise<object[]>;
    private sleep;
    private getReposPagination;
    private loadRepositories;
}
