export default class FetchRepo {
    githubToken: string;
    maxQueryIncrement: number;
    log: any;
    cli: object;
    fetchedRepos: Array<object>;
    errorRetry: number;
    getSingleRepo: string;
    rateLimit: {
        limit: number;
        cost: number;
        remaining: number;
        resetAt: string | null;
    };
    client: object;
    constructor(log: object, gh_token: string, gh_increment: number, cli: object);
    load(login: string, repo: string): Promise<object[]>;
}
