import Command, { flags } from '@oclif/command';
export default abstract class extends Command {
    static flags: {
        esnode: flags.IOptionFlag<string | undefined>;
        esca: flags.IOptionFlag<string | undefined>;
        escloudid: flags.IOptionFlag<string | undefined>;
        escloudusername: flags.IOptionFlag<string | undefined>;
        escloudpassword: flags.IOptionFlag<string | undefined>;
        esrepo: flags.IOptionFlag<string | undefined>;
        glogin: flags.IOptionFlag<string | undefined>;
        gtoken: flags.IOptionFlag<string | undefined>;
        gincrement: flags.IOptionFlag<string | undefined>;
    };
    init(): Promise<void>;
}
